Replace Hostname Associations
certificate_authorities.hostname_associations.update(HostnameAssociationUpdateParams**kwargs) -> HostnameAssociationUpdateResponse
PUT/zones/{zone_id}/certificate_authorities/hostname_associations
Replace Hostname Associations
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
SSL and Certificates WriteReplace Hostname Associations
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted
)
hostname_association = client.certificate_authorities.hostname_associations.update(
zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(hostname_association.hostnames){
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"hostnames": [
"api.example.com"
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"hostnames": [
"api.example.com"
]
}
}